pcl::Synchronizer< T1, T2 > Class Template Reference

/brief This template class synchronizes two data streams of different types. More...

`#include <pcl/common/synchronizer.h>`

## Public Member Functions

int | addCallback (const CallbackFunction &callback)
void | removeCallback (int i)
void | add0 (const T1 &t, unsigned long time)
void | add1 (const T2 &t, unsigned long time)

## Detailed Description

### template<typename T1, typename T2>
class pcl::Synchronizer< T1, T2 >

/brief This template class synchronizes two data streams of different types.

The data can be added using add0 and add1 methods which expects also a timestamp of type unsigned long. If two matching data objects are found, registered callback functions are invoked with the objects and the time stamps. The only assumption of the timestamp is, that they are in the same unit, linear and strictly monotonic increasing. If filtering is desired, e.g. thresholding of time differences, the user can do that in the callback method. This class is thread safe. /ingroup common

Definition at line 52 of file synchronizer.h.

## Member Function Documentation

## add0()

template<typename T1, typename T2>

void pcl::Synchronizer< T1, T2 >::add0 | ( | const T1 & | t,
|  | unsigned long | time
| ) |  |

inline

Definition at line 84 of file synchronizer.h.

## add1()

template<typename T1, typename T2>

void pcl::Synchronizer< T1, T2 >::add1 | ( | const T2 & | t,
|  | unsigned long | time
| ) |  |

inline

Definition at line 93 of file synchronizer.h.

## addCallback()

template<typename T1, typename T2>

int pcl::Synchronizer< T1, T2 >::addCallback | ( | const CallbackFunction & | callback | ) |

inline

Definition at line 69 of file synchronizer.h.

## removeCallback()

template<typename T1, typename T2>

void pcl::Synchronizer< T1, T2 >::removeCallback | ( | int | i | ) |

inline

Definition at line 77 of file synchronizer.h.

The documentation for this class was generated from the following file:

- pcl/common/synchronizer.h